Debian Bug report logs - #388242
cyrus-imapd-2.2: FTBFS on GNU/kFreeBSD

version graph

Package: cyrus-imapd-2.2; Maintainer for cyrus-imapd-2.2 is Debian Cyrus Team <pkg-cyrus-imapd-debian-devel@lists.alioth.debian.org>; Source for cyrus-imapd-2.2 is src:cyrus-imapd-2.4.

Reported by: Petr Salinger <Petr.Salinger@seznam.cz>

Date: Tue, 19 Sep 2006 10:18:07 UTC

Severity: important

Tags: patch, upstream

Found in version cyrus-imapd-2.2/2.2.13-7

Fixed in versions cyrus-imapd-2.2/2.2.13-8, cyrus-imapd-2.3/2.3.8-1

Done: Benjamin Seidenberg <benjamin@debian.org>

Bug is archived. No further changes may be made.

Forwarded to https://bugzilla.andrew.cmu.edu/show_bug.cgi?id=2883

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Cyrus Team <pkg-cyrus-imapd-debian-devel@lists.alioth.debian.org>:
Bug#388242; Package cyrus-imapd-2.2. Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
New Bug report received and forwarded. Copy sent to Debian Cyrus Team <pkg-cyrus-imapd-debian-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: submit@bugs.debian.org
Subject: cyrus-imapd-2.2: FTBFS on GNU/kFreeBSD
Date: Tue, 19 Sep 2006 12:01:23 +0200 (CEST)
[Message part 1 (text/plain, inline)]
Package: cyrus-imapd-2.2
Severity: important
Version: 2.2.13-7
Tags: patch


Hi,

the current version fails to build on GNU/kFreeBSD.

It needs small tweak to configure.in/configure.
Please find attached patch with tweak for configure.in
and updated configure.

It would also be nice if you can ask upstream
to include this change.

Thanks in advance

                        Petr
[cyrus22.diff (text/plain, ATTACHMENT)]
diff -urN debian/patches/00list debian/patches/00list
--- debian/patches/00list	2006-09-19 13:35:49.000000000 +0200
+++ debian/patches/00list	2006-09-19 13:27:26.000000000 +0200
@@ -51,4 +51,5 @@
 72-faster-isdigit.dpatch
 75-update-imapd.conf-documentation.dpatch
 77-change-missing-sieve-notice.dpatch
+78-kbsd-no-psstrings.dpatch
 99-update-autoconf.dpatch
diff -urN debian/patches/78-kbsd-no-psstring.dpatch debian/patches/78-kbsd-no-psstring.dpatch
--- debian/patches/78-kbsd-no-psstrings.dpatch	1970-01-01 01:00:00.000000000 +0100
+++ debian/patches/78-kbsd-no-psstrings.dpatch	2006-09-19 13:27:35.000000000 +0200
@@ -0,0 +1,28 @@
+#! /bin/sh /usr/share/dpatch/dpatch-run
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: disable PS_STRINGS for GNU/kFreeBSD
+
+@DPATCH@
+--- cyrus-imapd-2.2-2.2.13/configure.in
++++ cyrus-imapd-2.2-2.2.13/configure.in
+@@ -300,7 +284,7 @@
+ 	AC_CACHE_VAL(cyrus_cv_sys_psstrings, AC_TRY_CPP([
+ #include <machine/vmparam.h>
+ #include <sys/exec.h>
+-#ifndef PS_STRINGS
++#if !defined(PS_STRINGS) || defined (__GLIBC__)
+ #include </nonexistent>
+ #endif],cyrus_cv_sys_psstrings=yes,cyrus_cv_sys_psstrings=no))
+ 	if test $cyrus_cv_sys_psstrings = yes; then
+--- cyrus-imapd-2.2-2.2.13/configure~	2006-09-19 13:20:14.000000000 +0200
++++ cyrus-imapd-2.2-2.2.13/configure	2006-09-19 13:20:14.000000000 +0200
+@@ -10557,7 +10557,7 @@
+ 
+ #include <machine/vmparam.h>
+ #include <sys/exec.h>
+-#ifndef PS_STRINGS
++#if !defined(PS_STRINGS) || defined (__GLIBC__)
+ #include </nonexistent>
+ #endif
+ _ACEOF
+      


Information forwarded to debian-bugs-dist@lists.debian.org, Debian Cyrus Team <pkg-cyrus-imapd-debian-devel@lists.alioth.debian.org>:
Bug#388242; Package cyrus-imapd-2.2. Full text and rfc822 format available.

Acknowledgement sent to Sven Mueller <sven@incase.de>:
Extra info received and forwarded to list. Copy sent to Debian Cyrus Team <pkg-cyrus-imapd-debian-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #10 received at 388242@bugs.debian.org (full text, mbox):

From: Sven Mueller <sven@incase.de>
To: Petr Salinger <Petr.Salinger@seznam.cz>, 388242@bugs.debian.org
Subject: Re: Bug#388242: cyrus-imapd-2.2: FTBFS on GNU/kFreeBSD
Date: Thu, 21 Sep 2006 22:48:22 +0200
Petr Salinger wrote on 19/09/2006 12:01:
> the current version fails to build on GNU/kFreeBSD.
> 
> It needs small tweak to configure.in/configure.
> Please find attached patch with tweak for configure.in
> and updated configure.
> 
> It would also be nice if you can ask upstream
> to include this change.

> #! /bin/sh /usr/share/dpatch/dpatch-run
> ## All lines beginning with `## DP:' are a description of the patch.
> ## DP: disable PS_STRINGS for GNU/kFreeBSD
> 
> @DPATCH@
> --- cyrus-imapd-2.2-2.2.13/configure.in
> +++ cyrus-imapd-2.2-2.2.13/configure.in
> @@ -300,7 +284,7 @@
>  	AC_CACHE_VAL(cyrus_cv_sys_psstrings, AC_TRY_CPP([
>  #include <machine/vmparam.h>
>  #include <sys/exec.h>
> -#ifndef PS_STRINGS
> +#if !defined(PS_STRINGS) || defined (__GLIBC__)
>  #include </nonexistent>
>  #endif],cyrus_cv_sys_psstrings=yes,cyrus_cv_sys_psstrings=no))
>  	if test $cyrus_cv_sys_psstrings = yes; then

This seems odd: Why is PS_STRINGS defined by sys/exec.h or
machine/vmparam.h if it isn't actually supported? Are you sure the check
against __GLIBC__ doesn't have any unwanted side effects?

I would include the fix, but I'm really not sure wether it is the right
fix to the problem.

Regards,
Sven



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Cyrus Team <pkg-cyrus-imapd-debian-devel@lists.alioth.debian.org>:
Bug#388242; Package cyrus-imapd-2.2. Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Extra info received and forwarded to list. Copy sent to Debian Cyrus Team <pkg-cyrus-imapd-debian-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #15 received at 388242@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: Sven Mueller <sven@incase.de>
Cc: 388242@bugs.debian.org
Subject: Re: Bug#388242: cyrus-imapd-2.2: FTBFS on GNU/kFreeBSD
Date: Thu, 21 Sep 2006 23:38:45 +0200 (CEST)
>> --- cyrus-imapd-2.2-2.2.13/configure.in
>> +++ cyrus-imapd-2.2-2.2.13/configure.in
>> @@ -300,7 +284,7 @@
>>  	AC_CACHE_VAL(cyrus_cv_sys_psstrings, AC_TRY_CPP([
>>  #include <machine/vmparam.h>
>>  #include <sys/exec.h>
>> -#ifndef PS_STRINGS
>> +#if !defined(PS_STRINGS) || defined (__GLIBC__)
>>  #include </nonexistent>
>>  #endif],cyrus_cv_sys_psstrings=yes,cyrus_cv_sys_psstrings=no))
>>  	if test $cyrus_cv_sys_psstrings = yes; then
>
> This seems odd: Why is PS_STRINGS defined by sys/exec.h or
> machine/vmparam.h if it isn't actually supported?

In general, PS_STRINGS resolves to an absolute address, but
value of PS_STRINGS in compiled binary might not be same
as value used to compile current kernel :-(
Better would be using C equivalent of "sysctl kern.ps_strings".

We have in <sys/exec.h>
#define PS_STRINGS      (USRSTACK - sizeof(struct ps_strings))
but USRSTACK is defined only for kernel build.

> I would include the fix, but I'm really not sure wether it is the right
> fix to the problem.

Would be "try to compile" following snippet acceptable ?

**************************** 
#include <machine/vmparam.h>
#include <sys/exec.h>

void *p = PS_STRINGS;

int main() { return 0;}
***************************

Thanks

	Petr



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Cyrus Team <pkg-cyrus-imapd-debian-devel@lists.alioth.debian.org>:
Bug#388242; Package cyrus-imapd-2.2. Full text and rfc822 format available.

Acknowledgement sent to Sven Mueller <cyrus@incase.de>:
Extra info received and forwarded to list. Copy sent to Debian Cyrus Team <pkg-cyrus-imapd-debian-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #20 received at 388242@bugs.debian.org (full text, mbox):

From: Sven Mueller <cyrus@incase.de>
To: cyrus-devel@lists.andrew.cmu.edu
Cc: 388242@bugs.debian.org
Subject: [Fwd: Bug#388242: cyrus-imapd-2.2: FTBFS on GNU/kFreeBSD]
Date: Mon, 25 Sep 2006 20:16:37 +0200
[Message part 1 (text/plain, inline)]
Hi.

I'm one of the Debian package maintainers for cyrus-imapd. We received a
report at http://bugs.debian.org/388242 that cyrus-imapd fails to build
on the kfreebsd port of Debian. Problem seems to be that sys/exec.h
exports PS_STRINGS, but that this macro is only usable while compiling
the kernel. To be more precise, it exports

#define PS_STRINGS      (USRSTACK - sizeof(struct ps_strings))

But USRSTACK is only defined for kernel builds. He (Petr Salinger)
initially proposed to use:

==========================================================
--- cyrus-imapd-2.2-2.2.13/configure.in
+++ cyrus-imapd-2.2-2.2.13/configure.in
@@ -300,7 +284,7 @@
 	AC_CACHE_VAL(cyrus_cv_sys_psstrings, AC_TRY_CPP([
 #include <machine/vmparam.h>
 #include <sys/exec.h>
-#ifndef PS_STRINGS
+#if !defined(PS_STRINGS) || defined (__GLIBC__)
 #include </nonexistent>
 #endif],cyrus_cv_sys_psstrings=yes,cyrus_cv_sys_psstrings=no))
 	if test $cyrus_cv_sys_psstrings = yes; then
==========================================================

to fix it, but I objected since the test for __GLIBC__ to be defined
seemed too broad. After this objection, Petr proposed to use this
snippet instead of the above patch to test wether PS_STRINGS should be used:

==========================================================
if test "$spt_type" = ""; then
         AC_MSG_CHECKING(for PS_STRINGS)
         AC_CACHE_VAL(cyrus_cv_sys_psstrings, AC_COMPILE_IFELSE([
#include <machine/vmparam.h>
#include <sys/exec.h>
void *p = PS_STRINGS;
],cyrus_cv_sys_psstrings=yes,cyrus_cv_sys_psstrings=no))
         if test $cyrus_cv_sys_psstrings = yes; then
                 spt_type=SPT_PSSTRINGS
         fi
         AC_MSG_RESULT($cyrus_cv_sys_psstrings)
fi
==========================================================

This seems to work fine on Linux and as Petr proposed this, I think he
also tested it on GNU/kFreeBSD (i.e. a FreeBSD with GNU userspace
instead of the normal portage system). I have no way to check this on
other systems.

Comments?
Suggestions for other ways to fix it?

I attached the patch I applied to configure.in.

Regards,
Sven

PS: Please keep 388242@bugs.debian.org Cc'ed
PPS: I would have sent this to the andrew bugzilla, but I'm still unable
to create an account there.
[80-kbsd-no-psstrings.diff (text/plain, inline)]
diff -urNad cyrus-imapd-2.2.13/configure.in /tmp/dpep.6LRag9/cyrus-imapd-2.2.13/configure.in
--- cyrus-imapd-2.2.13/configure.in	2006-09-25 20:13:04.000000000 +0200
+++ /tmp/dpep.6LRag9/cyrus-imapd-2.2.13/configure.in	2006-09-25 20:13:06.102258297 +0200
@@ -297,16 +297,15 @@
 fi
 if test "$spt_type" = ""; then
 	AC_MSG_CHECKING(for PS_STRINGS)
-	AC_CACHE_VAL(cyrus_cv_sys_psstrings, AC_TRY_CPP([
+AC_CACHE_VAL(cyrus_cv_sys_psstrings, AC_COMPILE_IFELSE([
 #include <machine/vmparam.h>
 #include <sys/exec.h>
-#ifndef PS_STRINGS
-#include </nonexistent>
-#endif],cyrus_cv_sys_psstrings=yes,cyrus_cv_sys_psstrings=no))
-	if test $cyrus_cv_sys_psstrings = yes; then
-		spt_type=SPT_PSSTRINGS
-	fi
-	AC_MSG_RESULT($cyrus_cv_sys_psstrings)
+void *p = PS_STRINGS;
+],cyrus_cv_sys_psstrings=yes,cyrus_cv_sys_psstrings=no))
+         if test $cyrus_cv_sys_psstrings = yes; then
+                 spt_type=SPT_PSSTRINGS
+         fi
+         AC_MSG_RESULT($cyrus_cv_sys_psstrings)
 fi
 if test "$spt_type" = ""; then
 	AC_MSG_CHECKING(for SCO)

Tags added: pending Request was from Sven Mueller <sven@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Cyrus Team <pkg-cyrus-imapd-debian-devel@lists.alioth.debian.org>:
Bug#388242; Package cyrus-imapd-2.2. Full text and rfc822 format available.

Acknowledgement sent to bugzilla-daemon@andrew.cmu.edu:
Extra info received and forwarded to list. Copy sent to Debian Cyrus Team <pkg-cyrus-imapd-debian-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #27 received at 388242@bugs.debian.org (full text, mbox):

From: bugzilla-daemon@andrew.cmu.edu
To: 388242@bugs.debian.org
Subject: [Bug 2883] New: Fails building on FreeBSD kernel with GNU userspace (PS_STRING defined but not usable)
Date: Fri, 29 Sep 2006 03:30:17 -0400
http://bugzilla.andrew.cmu.edu/show_bug.cgi?id=2883

           Summary: Fails building on FreeBSD kernel with GNU userspace
                    (PS_STRING defined but not usable)
           Product: Cyrus IMAP
           Version: 2.2.x
          Platform: Other
        OS/Version: other
            Status: NEW
          Severity: bug
          Priority: P2
         Component: Deployment
        AssignedTo: jeaton@andrew.cmu.edu
        ReportedBy: cyrus@incase.de
                CC: 388242@bugs.debian.org


Hi.

I already reported this on the cyrus-devel mailinglist on 09/25, but this should
formalize the bug report. For full details, please see
http://bugs.debian.org/388242. The problem is that kFreeBSD with a GNU userspace
defines PS_STRINGS in sys/exec.h but it is not usable (relies on a second define
which isn't there). Please see attached patch for a proposed resolution of the
problem.

Regards,
Sven



------- You are receiving this mail because: -------
You are on the CC list for the bug, or are watching someone who is.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Cyrus Team <pkg-cyrus-imapd-debian-devel@lists.alioth.debian.org>:
Bug#388242; Package cyrus-imapd-2.2. Full text and rfc822 format available.

Acknowledgement sent to bugzilla-daemon@andrew.cmu.edu:
Extra info received and forwarded to list. Copy sent to Debian Cyrus Team <pkg-cyrus-imapd-debian-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #32 received at 388242@bugs.debian.org (full text, mbox):

From: bugzilla-daemon@andrew.cmu.edu
To: 388242@bugs.debian.org
Subject: [Bug 2883] Fails building on FreeBSD kernel with GNU userspace (PS_STRING defined but not usable)
Date: Fri, 29 Sep 2006 03:31:01 -0400
http://bugzilla.andrew.cmu.edu/show_bug.cgi?id=2883





------- Additional Comments From cyrus@incase.de  2006-09-29 03:31 -------
Created an attachment (id=464)
 --> (http://bugzilla.andrew.cmu.edu/attachment.cgi?id=464&action=view)
Proposed fix




------- You are receiving this mail because: -------
You are on the CC list for the bug, or are watching someone who is.



Noted your statement that Bug has been forwarded to https://bugzilla.andrew.cmu.edu/show_bug.cgi?id=2883. Request was from Sven Mueller <debian@incase.de> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: upstream Request was from Sven Mueller <debian@incase.de> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Sven Mueller <sven@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #41 received at 388242-close@bugs.debian.org (full text, mbox):

From: Sven Mueller <sven@debian.org>
To: 388242-close@bugs.debian.org
Subject: Bug#388242: fixed in cyrus-imapd-2.2 2.2.13-8
Date: Tue, 10 Oct 2006 09:17:05 -0700
Source: cyrus-imapd-2.2
Source-Version: 2.2.13-8

We believe that the bug you reported is fixed in the latest version of
cyrus-imapd-2.2, which is due to be installed in the Debian FTP archive:

cyrus-admin-2.2_2.2.13-8_all.deb
  to pool/main/c/cyrus-imapd-2.2/cyrus-admin-2.2_2.2.13-8_all.deb
cyrus-clients-2.2_2.2.13-8_i386.deb
  to pool/main/c/cyrus-imapd-2.2/cyrus-clients-2.2_2.2.13-8_i386.deb
cyrus-common-2.2_2.2.13-8_i386.deb
  to pool/main/c/cyrus-imapd-2.2/cyrus-common-2.2_2.2.13-8_i386.deb
cyrus-dev-2.2_2.2.13-8_i386.deb
  to pool/main/c/cyrus-imapd-2.2/cyrus-dev-2.2_2.2.13-8_i386.deb
cyrus-doc-2.2_2.2.13-8_all.deb
  to pool/main/c/cyrus-imapd-2.2/cyrus-doc-2.2_2.2.13-8_all.deb
cyrus-imapd-2.2_2.2.13-8.diff.gz
  to pool/main/c/cyrus-imapd-2.2/cyrus-imapd-2.2_2.2.13-8.diff.gz
cyrus-imapd-2.2_2.2.13-8.dsc
  to pool/main/c/cyrus-imapd-2.2/cyrus-imapd-2.2_2.2.13-8.dsc
cyrus-imapd-2.2_2.2.13-8_i386.deb
  to pool/main/c/cyrus-imapd-2.2/cyrus-imapd-2.2_2.2.13-8_i386.deb
cyrus-murder-2.2_2.2.13-8_i386.deb
  to pool/main/c/cyrus-imapd-2.2/cyrus-murder-2.2_2.2.13-8_i386.deb
cyrus-nntpd-2.2_2.2.13-8_i386.deb
  to pool/main/c/cyrus-imapd-2.2/cyrus-nntpd-2.2_2.2.13-8_i386.deb
cyrus-pop3d-2.2_2.2.13-8_i386.deb
  to pool/main/c/cyrus-imapd-2.2/cyrus-pop3d-2.2_2.2.13-8_i386.deb
libcyrus-imap-perl22_2.2.13-8_i386.deb
  to pool/main/c/cyrus-imapd-2.2/libcyrus-imap-perl22_2.2.13-8_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 388242@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Sven Mueller <sven@debian.org> (supplier of updated cyrus-imapd-2.2 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon,  9 Oct 2006 23:21:23 +0200
Source: cyrus-imapd-2.2
Binary: cyrus-dev-2.2 libcyrus-imap-perl22 cyrus-common-2.2 cyrus-doc-2.2 cyrus-clients-2.2 cyrus-pop3d-2.2 cyrus-imapd-2.2 cyrus-admin-2.2 cyrus-nntpd-2.2 cyrus-murder-2.2
Architecture: source i386 all
Version: 2.2.13-8
Distribution: unstable
Urgency: medium
Maintainer: Debian Cyrus Team <pkg-cyrus-imapd-debian-devel@lists.alioth.debian.org>
Changed-By: Sven Mueller <sven@debian.org>
Description: 
 cyrus-admin-2.2 - Cyrus mail system (administration tools)
 cyrus-clients-2.2 - Cyrus mail system (test clients)
 cyrus-common-2.2 - Cyrus mail system (common files)
 cyrus-dev-2.2 - Cyrus mail system (developer files)
 cyrus-doc-2.2 - Cyrus mail system (documentation files)
 cyrus-imapd-2.2 - Cyrus mail system (IMAP support)
 cyrus-murder-2.2 - Cyrus mail system (proxies and aggregator)
 cyrus-nntpd-2.2 - Cyrus mail system (NNTP support)
 cyrus-pop3d-2.2 - Cyrus mail system (POP3 support)
 libcyrus-imap-perl22 - Interface to Cyrus imap client imclient library
Closes: 383217 383281 384265 384870 388242 389597 389783 391092
Changes: 
 cyrus-imapd-2.2 (2.2.13-8) unstable; urgency=medium
 .
   [ Sven Mueller ]
   * Remove unneeded drac dependency
   * New vietnamese translation (thanks to Clytie Siddall, Closes: #383281)
   * New russian translation (thanks to Yuri Kozlov, Closes: #383217)
   * Updated dutch translation (thanks to Kurt De Bree, Closes: #384870)
   * Updated logcheck rules a bit more, thanks to Ross Boylan (Closes: #384265)
   * Add spanish debconf translation thanks to César Gómez Martín.
   * Add patch to fix FTBFS on GNU/kFreeBSD thanks to Petr Salinger.
     (Closes: #388242)
   * Run autoconf to generate update configure script after above patch was
     applied to configure.in
   * Add patch by Ben Poliakoff which fixes an inability to set annotations
     from IMAP::Admin perl module (Closes: #389597)
     urgency=medium because of this bug. Might have been medium, but the
     combination of this bug and the one below seems severe enough for high.
     It makes the package unusable to anyone using annotations (guess is 40%
     of new installs).
   * Update dutch debconf translation (Closes: #389783)
   * Fix a problem with repeated builds from the same tree.
   * Add upstream patch to imtest.c prefixing raw client responses with C:
 .
   [ Henrique de Moraes Holschuh ]
   * Update pt_BR debconf translation
 .
   [ Benjamin Seidenberg ]
   * Update date span in debian/copyright
   * Fix mistake in init script, ! check_status instead of !check_status.
     Thanks to Farzad FARID
   * Fix DOS encoding on several files in debian/ (Closes: #391092)
     Thanks to Farzad FARID
Files: 
 c7e1b20a9ea1a989627ce32568f85c29 1276 mail extra cyrus-imapd-2.2_2.2.13-8.dsc
 9dedb2e9474fa0b4b52669667a149373 256311 mail extra cyrus-imapd-2.2_2.2.13-8.diff.gz
 68a9e48602fe5e04dc39f717d687b377 222230 doc extra cyrus-doc-2.2_2.2.13-8_all.deb
 9696484ea77f83f71ba37e39a042f35c 79986 mail extra cyrus-admin-2.2_2.2.13-8_all.deb
 2909a99abeefc56e42a676b0fe37c119 5578336 mail extra cyrus-common-2.2_2.2.13-8_i386.deb
 f244c629dc2adcf450f78aac915a2188 916628 mail extra cyrus-imapd-2.2_2.2.13-8_i386.deb
 21005428544ade62d38e066be620544c 274410 mail extra cyrus-pop3d-2.2_2.2.13-8_i386.deb
 21a0fdc31741f4d738492021d2d94ec6 1110508 mail extra cyrus-murder-2.2_2.2.13-8_i386.deb
 cc3205b4e24e137711c731d85b93f6cd 595550 mail extra cyrus-nntpd-2.2_2.2.13-8_i386.deb
 5944199fec918514662e105a7ac1c012 127996 mail extra cyrus-clients-2.2_2.2.13-8_i386.deb
 e570df2881a5a86550c63b052e63786e 263200 devel extra cyrus-dev-2.2_2.2.13-8_i386.deb
 8dc7760b5803b71b9a6ac5c3cd91ba0e 177052 perl extra libcyrus-imap-perl22_2.2.13-8_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFFK8RdDcs5RBTUBgsRAurqAJ9NC69mQ/rKnQCOcqNJO//pwGoyFgCfRb1W
KqPWaXtr4AOVn0apS7aRSDc=
=eZDA
-----END PGP SIGNATURE-----




Tags added: pending Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sat, 23 Jun 2007 00:06:05 GMT) Full text and rfc822 format available.

Reply sent to Benjamin Seidenberg <benjamin@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #48 received at 388242-close@bugs.debian.org (full text, mbox):

From: Benjamin Seidenberg <benjamin@debian.org>
To: 388242-close@bugs.debian.org
Subject: Bug#388242: fixed in cyrus-imapd-2.3 2.3.8-1
Date: Mon, 25 Jun 2007 19:12:31 +0000
Source: cyrus-imapd-2.3
Source-Version: 2.3.8-1

We believe that the bug you reported is fixed in the latest version of
cyrus-imapd-2.3, which is due to be installed in the Debian FTP archive:

cyrus-admin-2.3_2.3.8-1_all.deb
  to pool/main/c/cyrus-imapd-2.3/cyrus-admin-2.3_2.3.8-1_all.deb
cyrus-clients-2.3_2.3.8-1_i386.deb
  to pool/main/c/cyrus-imapd-2.3/cyrus-clients-2.3_2.3.8-1_i386.deb
cyrus-common-2.3_2.3.8-1_i386.deb
  to pool/main/c/cyrus-imapd-2.3/cyrus-common-2.3_2.3.8-1_i386.deb
cyrus-dev-2.3_2.3.8-1_i386.deb
  to pool/main/c/cyrus-imapd-2.3/cyrus-dev-2.3_2.3.8-1_i386.deb
cyrus-doc-2.3_2.3.8-1_all.deb
  to pool/main/c/cyrus-imapd-2.3/cyrus-doc-2.3_2.3.8-1_all.deb
cyrus-imapd-2.3_2.3.8-1.diff.gz
  to pool/main/c/cyrus-imapd-2.3/cyrus-imapd-2.3_2.3.8-1.diff.gz
cyrus-imapd-2.3_2.3.8-1.dsc
  to pool/main/c/cyrus-imapd-2.3/cyrus-imapd-2.3_2.3.8-1.dsc
cyrus-imapd-2.3_2.3.8-1_i386.deb
  to pool/main/c/cyrus-imapd-2.3/cyrus-imapd-2.3_2.3.8-1_i386.deb
cyrus-imapd-2.3_2.3.8.orig.tar.gz
  to pool/main/c/cyrus-imapd-2.3/cyrus-imapd-2.3_2.3.8.orig.tar.gz
cyrus-murder-2.3_2.3.8-1_i386.deb
  to pool/main/c/cyrus-imapd-2.3/cyrus-murder-2.3_2.3.8-1_i386.deb
cyrus-nntpd-2.3_2.3.8-1_i386.deb
  to pool/main/c/cyrus-imapd-2.3/cyrus-nntpd-2.3_2.3.8-1_i386.deb
cyrus-pop3d-2.3_2.3.8-1_i386.deb
  to pool/main/c/cyrus-imapd-2.3/cyrus-pop3d-2.3_2.3.8-1_i386.deb
cyrus-replication-2.3_2.3.8-1_i386.deb
  to pool/main/c/cyrus-imapd-2.3/cyrus-replication-2.3_2.3.8-1_i386.deb
libcyrus-imap-perl23_2.3.8-1_i386.deb
  to pool/main/c/cyrus-imapd-2.3/libcyrus-imap-perl23_2.3.8-1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 388242@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Benjamin Seidenberg <benjamin@debian.org> (supplier of updated cyrus-imapd-2.3 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri, 22 Jun 2007 13:49:51 +0100
Source: cyrus-imapd-2.3
Binary: cyrus-murder-2.3 cyrus-imapd-2.3 cyrus-nntpd-2.3 libcyrus-imap-perl23 cyrus-clients-2.3 cyrus-common-2.3 cyrus-admin-2.3 cyrus-dev-2.3 cyrus-doc-2.3 cyrus-replication-2.3 cyrus-pop3d-2.3
Architecture: source i386 all
Version: 2.3.8-1
Distribution: experimental
Urgency: low
Maintainer: Debian Cyrus Team <pkg-cyrus-imapd-debian-devel@lists.alioth.debian.org>
Changed-By: Benjamin Seidenberg <benjamin@debian.org>
Description: 
 cyrus-admin-2.3 - Cyrus mail system (administration tools)
 cyrus-clients-2.3 - Cyrus mail system (test clients)
 cyrus-common-2.3 - Cyrus mail system (common files)
 cyrus-dev-2.3 - Cyrus mail system (developer files)
 cyrus-doc-2.3 - Cyrus mail system (documentation files)
 cyrus-imapd-2.3 - Cyrus mail system (IMAP support)
 cyrus-murder-2.3 - Cyrus mail system (proxies and aggregator)
 cyrus-nntpd-2.3 - Cyrus mail system (NNTP support)
 cyrus-pop3d-2.3 - Cyrus mail system (POP3 support)
 cyrus-replication-2.3 - Cyrus mail system (replication)
 libcyrus-imap-perl23 - Interface to Cyrus imap client imclient library
Closes: 382376 388242
Changes: 
 cyrus-imapd-2.3 (2.3.8-1) experimental; urgency=low
 .
   * New upstream series release (Closes: #382376)
 .
     [ Farzad FARID ]
   * IDLE handling has changed, remove Debian patches
   * Removed unnecessary or hard to update Debian patches from 00list
     - All patches from upstream
     - 15-munge_8bit.dpatch
     - 18-fix_strlen_return_type.dpatch
     - 22-imapd_index_check.dpatch
     - 23-configurable_idled.dpatch [TODO: Re-include this one]
     - 45-kolab2-annotations.dpatch
     - 61-64bit-quota.dpatch
   * Update dpatches when necessary
   * Added new cyrus-replication-2.3 package
   * Conflict/replace *-2.2 packages.
   * Replace the call to 'ctl_deliver' with 'cyr_expire' in the EVENTS section
     of cyrus.conf. The previous usage is now deprecated.
   * Missing space between '!' and function in init script.
 .
   [ Benjamin Seidenberg ]
   * Remove patch files that are no longer used
   * Merge svn work from -6 to HEAD (base of Farzad's package) into 2.3 branch
   * Fix debian/po/POTFILES.in to refer to cyrus-common-2.3.templates instead
     of 2.2.
   * Fix copyright file
   * Fix paths in .po's
   * Fix path in cyrus-clients-2.3.README.Debian
   * README.postfix: a new feature in 2.2 is not new in 2.3
 .
   [ Sven Mueller ]
   * Add patch to fix FTBFS on GNU/kFreeBSD thanks to Petr Salinger.
     (Closes: #388242)
   * Run autoconf to generate update configure script after above patch was
     applied to configure.in
   * Update to 2.3.8
   * Merge postrm fix regarding debconf (doesn't always exist on removal/purge)
 .
   [ Benjamin Seidenberg ]
   * Merge in changes from previous 2.2s
   * Add experimental UPGRADE.Debian (Upgrade at your own risk)
   * Build against BDB 4.5
Files: 
 0a95540e0117795ee600adeb462374c9 1420 mail extra cyrus-imapd-2.3_2.3.8-1.dsc
 ac03b02c1ae08d52f807b58c488b204f 2207366 mail extra cyrus-imapd-2.3_2.3.8.orig.tar.gz
 397d3bfdef1fafbec3052c45ff0992c0 151640 mail extra cyrus-imapd-2.3_2.3.8-1.diff.gz
 0a374e9a6c9decd01c3ce7439889deb0 238798 doc extra cyrus-doc-2.3_2.3.8-1_all.deb
 bea6a5cbe52422fa271fcabe50ee8732 86384 mail extra cyrus-admin-2.3_2.3.8-1_all.deb
 445221a1cf11b437e469cc3fac50f3ea 6230828 mail extra cyrus-common-2.3_2.3.8-1_i386.deb
 5c4b2807d45e7411ec1b4f694af2d45b 969510 mail extra cyrus-imapd-2.3_2.3.8-1_i386.deb
 26e915c08ef27df061ea0e1e0d6f7253 280492 mail extra cyrus-pop3d-2.3_2.3.8-1_i386.deb
 de24e02c6e5687813dd8f7cf21d2bdfc 1284368 mail extra cyrus-murder-2.3_2.3.8-1_i386.deb
 b88a0a7acbdbf88b031d91617ccfc29b 1175576 mail extra cyrus-replication-2.3_2.3.8-1_i386.deb
 2dca4342a83cff428d7b26b550b26573 614498 mail extra cyrus-nntpd-2.3_2.3.8-1_i386.deb
 26f0b4c715fa8a7312eb56c93d6227e8 134024 mail extra cyrus-clients-2.3_2.3.8-1_i386.deb
 002671c48d72ec1320de285f8b988a4a 274056 devel extra cyrus-dev-2.3_2.3.8-1_i386.deb
 47d9b2b2009fe926b08e28e1a82659f6 182720 perl extra libcyrus-imap-perl23_2.3.8-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFGe9BPev9LOsNKpIQRAuOiAJ9V+KOcsu+n10IWHTfoenuE7mWuJgCeLwKz
NNKqr76TPEQW5CMZDUJihFI=
=353B
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 24 Jul 2007 07:31:38 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 08:01:42 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.